function::user_string_nofault
Prev | Chapter 25. String and data retrieving functions Tapset | Next

## Name

function::user_string_nofault — Retrieves string from user space

## Synopsis

        user_string_nofault:string(addr:long)

## Arguments

`addr`

  the user space address to retrieve the string from

## Description

Returns the null terminated C string from a given user space memory address. Returns the empty string if userspace data is not accessible.

Prev | Up | Next
function::user_string_n_warn | Home | function::user_string_quoted